| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Enumerations | Functions
application_flavor.h File Reference
`#include <wireshark.h>`
`#include <wiretap/wtap.h>`

Go to the source code of this file.

## Enumerations
enum | application_flavor_e { APPLICATION_FLAVOR_WIRESHARK , APPLICATION_FLAVOR_STRATOSHARK }

## Functions
WS_DLL_PUBLIC void | set_application_flavor (enum application_flavor_e flavor)
| Initialize our application flavor.
WS_DLL_PUBLIC const char * | application_flavor_name_proper (void)
| Get the proper (capitalized) application name, suitable for user presentation.
WS_DLL_PUBLIC const char * | application_flavor_name_lower (void)
| Get the lower-case application name.
WS_DLL_PUBLIC const char * | application_configuration_environment_prefix (void)
| Get the prefix for the application specific environment variable used to retrieve various configurations.
WS_DLL_PUBLIC void | application_file_extensions (const struct file_extension_info **file_extensions, unsigned *num_extensions)
| Get the list of application supported file extensions.
WS_DLL_PUBLIC const char ** | application_columns (void)
| Get the default columns for the application.
WS_DLL_PUBLIC unsigned | application_num_columns (void)
| Get the default number of columns for the application.
WS_DLL_PUBLIC bool | application_flavor_is_wireshark (void)
| Convenience routine for checking the application flavor.

## Detailed Description

Application flavor definitions

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ application_configuration_environment_prefix()

WS_DLL_PUBLIC const char * application_configuration_environment_prefix | ( | void |  | ) |

Get the prefix for the application specific environment variable used to retrieve various configurations.

Returns
  The application prefix.

## ◆ application_file_extensions()

WS_DLL_PUBLIC void application_file_extensions | ( | const struct file_extension_info ** | file_extensions,
|  | unsigned * | num_extensions
| ) |  |

Get the list of application supported file extensions.

Parameters

  file_extensions | Returned array of extensions supported by the application
  num_extensions | Returned number of extensions supported by the application

## ◆ application_flavor_is_wireshark()

WS_DLL_PUBLIC bool application_flavor_is_wireshark | ( | void |  | ) |

Convenience routine for checking the application flavor.

Returns
  true if the application flavor is APPLICATION_FLAVOR_WIRESHARK.

## ◆ application_flavor_name_lower()

WS_DLL_PUBLIC const char * application_flavor_name_lower | ( | void |  | ) |

Get the lower-case application name.

Returns
  The application name. Must not be freed.

## ◆ application_flavor_name_proper()

WS_DLL_PUBLIC const char * application_flavor_name_proper | ( | void |  | ) |

Get the proper (capitalized) application name, suitable for user presentation.

Returns
  The application name. Must not be freed.

## ◆ set_application_flavor()

WS_DLL_PUBLIC void set_application_flavor | ( | enum application_flavor_e | flavor | ) |

Initialize our application flavor.

Set our application flavor, which determines the top-level configuration directory name and environment variable prefixes. Default is APPLICATION_FLAVOR_WIRESHARK.

Parameters

  flavor | Application flavor.